#include "MenuTextUp_Player1Joystick.h"

InputSetting_Joystick* MenuTextUp_Player1Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Joystick ? gameFunc->GetInputSetting_Player1Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextUp_Player1Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_up;
}

std::weak_ptr<Entity> MenuTextUp_Player1Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player1(entityRes);
}

std::shared_ptr<Entity> CreateMenuTextUp_Player1Joystick()
{
	return std::make_shared<MenuTextUp_Player1Joystick>();
}


